// available class :
//  no-menu-icon : hide menu icon on large devices
//  topmenu-centered : center top menu
//  topmenu-left : top menu at left and logo at right
//  menu-right / menu-left : menu icon position
.page-header.page-header-gallery {
  position: fixed;
}

.page-header-alpha {
  justify-content: flex-start;
  $topPos: 32px;
  $scrollTransition: 0.3s ease-in-out;
  z-index: 2;
  transition: $scrollTransition;
  @media (min-width: $medium-up) {
    padding: 0;
  }
  &.menu-right {
    .navbar-toggler {
      @media (min-width: $medium-up) {
        top: $topPos + 20px;
        left: auto;
        right: 56px;
      }
    }
    .navbar-brand {
      @media (min-width: $medium-up) {
        left: 64px;
      }
    }
    .navbar-topmenu {
      @media (min-width: $medium-up) {
        right: 120px;
      }
    }
  }
  &.topmenu-left {
    .navbar-brand {
      @media (min-width: $medium-up) {
        left: auto;
        right: 64px;
        margin-right: 0;
      }
    }
    .navbar-topmenu {
      @media (min-width: $medium-up) {
        right: auto;
        left: 64px;
        margin-left: -8px;
      }
    }
    &.menu-left {
      .navbar-topmenu {
        @media (min-width: $medium-up) {
          right: auto;
          left: 120px;
        }
      }
    }
    &.menu-right {
      .navbar-brand {
        @media (min-width: $medium-up) {
          right: 120px;
        }
      }
      .navbar-topmenu {
        @media (min-width: $medium-up) {
          left: 64px;
        }
      }
    }
  }
  &.topmenu-center {
    .all-menu-wrapper {
    }
    .navbar-topmenu {
      @media (min-width: $medium-up) {
        position: fixed;
        top: $topPos;
        left: 0;
        right: auto;
        z-index: 10;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
      }
      .navbar-nav-menu {
        @media (min-width: $medium-up) {
          height: 48px;
          align-items: center;
        }
        .nav-item:last-child {
          margin-right: 0;
        }
      }
      .navbar-nav-actions {
        @media (min-width: $medium-up) {
          position: fixed;
          right: 64px;
          top: $topPos;
        }
      }
    }
    &.menu-right {
      .navbar-topmenu {
        .navbar-nav-actions {
          @media (min-width: $medium-up) {
            right: 120px;
          }
        }
      }
    }
  }
  // menu icon
  .navbar-toggler {
    position: fixed;
    // top: 14px;
    top: 8px;
    right: 16px;
    padding: 0;
    border: 0;
    z-index: 999;
    display: block;
    cursor: pointer;
    transition: $scrollTransition;
    &:focus {
      outline: none;
    }
    @media (min-width: $medium-up) {
      top: $topPos + 20px;
      margin-top: -20px;
      left: 56px;
      right: auto;
    }
  }
  // brand logo
  .navbar-brand {
    display: flex;
    flex-direction: row;
    padding: 0;
    transition: $scrollTransition;
    color: currentColor;
    @media (min-width: $medium-up) {
      position: fixed;
      left: 120px;
      top: $topPos;
      z-index: 20;
    }
    .logo {
      img {
        height: 40px;
        width: auto;
        @media (min-width: $medium-up) {
          height: 48px;
        }
      }
    }
    .text {
      display: flex;
      justify-content: center;
      flex-direction: column;
      color: currentColor;
      font-size: $text-size;
      margin-left: 8px;
      margin-right: 8px;
      .line {
        display: block;
        &.sub {
          font-size: $text-small;
          opacity: 1;
        }
      }
    }
  }
  // menu
  .all-menu-wrapper {
    justify-content: flex-end; // overflow-x: hidden;
    position: fixed;
    z-index: 5;
    background: $black;
    top: -100%;
    left: 0;
    width: 100%; // height: 100%;
    max-height: 100%;
    overflow: auto;
    padding: 48px 32px;
    transition: 0.3s;
    opacity: 0;
    visibility: hidden;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.15), 0 0 5px rgba(0, 0, 0, 0.2);
    &.menu-visible {
      top: 0;
      opacity: 1;
      visibility: visible;
    }

    display: flex;
    min-height: 100vh;
    align-content: center;
    justify-content: center;
    flex-direction: column;
    // display: flex;
    // flex-direction: column;
    @media (max-width: ($medium-up -1px)) {
      .navbar-nav {
        // background: #f4f;
        .nav-item {
          font-size: $text-medium;
          font-family: $courier;
          opacity: 1;
          a {
            &.active {
              color: currentColor;
            }
            opacity: 1;
            &.hover {
              color: $primary;
            }
          }
        }
      }
    }
    @media (min-width: $medium-up) {
      display: block;
      position: static;
      border-bottom: none;
      box-shadow: none;
      padding: 0;
      top: 0;
      opacity: 1;
      visibility: visible;
      min-height: auto;
    }
  }
  // top menu
  .navbar-topmenu {
    align-items: center;
    transition: $scrollTransition;
    order: 2;
    @media (min-width: $medium-up) {
      display: flex;
      position: fixed;
      top: $topPos;
      right: 64px;
      z-index: 10;
      order: initial;
    }
    .navbar-nav {
      @media (min-width: $medium-up) {
        flex-direction: row;
      }
    }
    .navbar-nav-actions {
      @media (min-width: $medium-up) {
        margin-left: 16px;
      }
      .nav-item {
        margin-top: 4px;
        margin-bottom: 4px;
        @media (min-width: $medium-up) {
          margin-top: 0;
          margin-bottom: 0;
          margin-left: 8px;
        }
      }
    }
    .navbar-nav-menu {
      .nav-item {
        font-family: $sans;
        @media (min-width: $medium-up) {
          line-height: 1;
          font-size: $text-size;
          position: relative;
        }
        &.bordered {
          @media (min-width: $medium-up) {
            border-left: 2px solid transparentize($white, 0.8);
          }
        }
        a {
          color: currentColor;
          opacity: 1;
          &:hover {
            // color: $white
            opacity: 1;
          }
          @media (min-width: $medium-up) {
            padding: 8px 16px;
          }
        }
        &:first-child {
          @media (min-width: $medium-up) {
            border-left: none;
          }
        }
        &:last-child {
          @media (min-width: $medium-up) {
            margin-right: -16px;
          }
        }
        &.active {
          a {
            color: currentColor;
            opacity: 1;
          }
        }
      }
    }
  }
  .navbar-nav-actions {
    transition: $scrollTransition;
  }
  // mainmenu
  .navbar-mainmenu {
    transition: 0.3s;
    @media (min-width: $medium-up) {
      position: fixed;
      z-index: 9;
      background: $black;
      display: flex;
      align-items: center;
      top: 0;
      left: 0;
      height: 100%;
      width: 100%; // padding-left: 40px + 32px;
      //padding-left: 12.5%;
      // transform: translateX(-25%);
      transform: translateX(-64px) scale(1.2);
      visibility: hidden;
      opacity: 0;
      // filter: blur(50px);
    }
    .navbar-nav {
      margin: 0 auto;
      @media (min-width: $medium-up) {
        flex-direction: column;
      }
    }
    .nav-item {
      transition: 0.3s;
      line-height: 1;
      font-family: $courier;
      @media (min-width: $medium-up) {
        line-height: 1;
        font-size: $text-large;
      }
      @media (min-width: $large-up) {
        line-height: 0.8;
        font-size: $text-large;
      }
      @media (min-width: $medium-up) and (max-height: 480px) {
        font-size: $text-medium;
      }
      a {
        color: white;
        transition: 0.3s;
        &:hover {
          color: $primary;
        }
      }
      @media (min-width: $medium-up) {
        text-transform: uppercase;
        opacity: 0;
        transform: translateX(-20px); // transition-timing-function: cubic-bezier(.95, .31, .51, 1.39);
      }
    }
    $slide_speed: 0.1s;
    $delay: 0.2s;
    @media (min-width: $medium-up) {
      @for $i from 1 through 10 {
        .nav-item:nth-child(#{$i}) {
          transition-delay: $i*$slide_speed + $delay;
        }
      }
    }
  }
  // sidebar menu
  .navbar-sidebar {
    font-weight: normal;
    @media (min-width: $medium-up) {
      display: block;
      position: fixed;
      top: auto;
      left: 64px;
      bottom: 32px;
    }
    @media (min-width: $medium-up) and (max-height: 600px) {
      display: none;
    }
    @media (min-width: $large-up) {
      display: block;
      position: fixed;
      top: auto;
      left: 64px;
      bottom: 32px;
    }
    .nav-item {
      opacity: 1;
      transition: 0.6s;
      padding-top: 8px;
      padding-bottom: 8px;
      @media (min-width: $medium-up) {
        padding-bottom: 0;
      }
      a {
        text-decoration: none;
        color: currentColor;
      }
      .icon {
        // opacity: 0.5;
        width: 26px;
        height: 26px;
        padding-top: 1px;
        display: inline-block;
        text-align: center;
        background: transparentize($white, 0.8);
        color: $white;
        border-radius: 40px;
        transition: 0.6s;
        font-size: 1rem;
      }
      .txt {
        display: inline-block;
        margin-left: 0.5rem;
        line-height: 1;
        font-weight: 300;
        font-size: 1.5rem;
        font-family: $sans;
        @media (min-width: $medium-up) {
          margin-left: 0.5rem;
          // letter-spacing: 0.2em;
          // text-transform: uppercase;
        }
      }
      &.active {
        opacity: 1;
        .icon {
          background: $white;
          color: $gray;
        }
        .txt {
          opacity: 1;
        }
      }
      &:hover {
        opacity: 1;
        .icon {
          background: $white;
          color: $gray;
        }
        .txt {
          opacity: 1;
        }
      }
    }
    &.icon-only {
      .txt {
        @media (min-width: $medium-up) {
          display: none;
        }
      }
    }
    &.text-only {
      .icon {
        display: none;
      }
      .txt {
        margin-left: 0rem;
      }
    }
  }

  .all-menu-wrapper.menu-visible {
    .navbar-mainmenu {
      @media (min-width: $medium-up) {
        left: 0;
        transform: none;
        visibility: visible;
        opacity: 1;
        filter: none;
        .nav-item {
          transform: none;
          opacity: 1;
        }
      }
    }
  }
  &.scrolled {
    .navbar-brand {
      visibility: hidden;
      opacity: 0;
    }
  }
  &.fp-scrolled {
    .navbar-brand {
      visibility: hidden;
      opacity: 0;
    }
  }
  // scrolled bg
  .navbar-topmenu:before {
    @media (min-width: $medium-up) {
      content: "";
      position: fixed;
      top: 0;
      left: 0;
      height: 0;
      width: 100%;
      transition: 0.3s ease-in-out;
      z-index: -1;
    }
  }
}

